Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455052 - Client capabilities are not being passed to the start-commit hook
Summary: Client capabilities are not being passed to the start-commit hook
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: subversion
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-11 17:41 UTC by ianalis
Modified: 2009-07-15 08:24 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-15 08:24:39 UTC


Attachments (Terms of Use)

Description ianalis 2008-07-11 17:41:01 UTC
Description of problem:
Client capabilities are not being passed to the start-commit hook. SVN 1.5
allows the capabilities of the client to be passed as the third parameter in the
start-commit hook.

Version-Release number of selected component (if applicable):
subversion-1.5.0-8.fc9

How reproducible:
always

Steps to Reproduce:
1. Create a start-commit hook. For debugging, make it echo $3 to stderr
2. Attempt a commit to the repository using a 1.5 client. I've tried koji-build
subversion-1.5.0-8.fc9 rpms, rebuilt subversion-1.5.0-8.fc9 srpm, mandriva
2008.1 rebuilt svn 1.5 srpm (from cooker), tortoisesvn 1.5, collabnet svn 1.5
win32 binaries and subclipse 1.4 in linux.
3.
  
Actual results:
No output implying empty $3

Expected results:
a colon-separated list of capabilities e.g. mergeinfo

Additional info:
I've tried a mandriva svn server and the capabilities were returned (not empty)

Comment 1 Joe Orton 2008-07-17 13:05:55 UTC
mod_dav_svn or svnserve?  Can you produce a minimal repro case.

Comment 2 ianalis 2008-07-17 13:47:14 UTC
I'm using mod-dav_svn. A repo created with svnadmin 1.5 experiences the same
problem.

I have tried but ultimately failed to find the root cause of the problem. Here
are some of my observations:

* Using Collabnet's rpm for Red Hat works (doesn't experience this problem).
* Using the source tarball doesn't work.
* Uninstalling httpd with --nodeps and reinstalling it using yum doesn't work.

Here are some possibly useful verseion info:
apr-devel-1.2.12-2.fc9.i386
apr-1.2.12-2.fc9.i386
apr-util-1.2.12-5.fc9.i386
apr-util-devel-1.2.12-5.fc9.i386
neon-0.28.2-4.i386
neon-devel-0.28.2-4.i386
httpd-2.2.8-3.i386

Comment 3 Joe Orton 2008-07-17 14:26:04 UTC
What mod_dav_svn package version? (it should match the subversion package version)

Comment 4 ianalis 2008-07-17 14:29:54 UTC
subversion-1.5.0-8.fc9.i386
subversion-perl-1.5.0-8.fc9.i386
subversion-devel-1.5.0-8.fc9.i386
subversion-ruby-1.5.0-8.fc9.i386
subversion-javahl-1.5.0-8.fc9.i386
subversion-debuginfo-1.5.0-8.fc9.i386
mod_dav_svn-1.5.0-8.fc9.i386

Comment 5 Joe Orton 2008-08-07 09:20:46 UTC
Can you try this with the Subversion 1.5.1 packages from updates-testing?  I can't reproduce it here with those packages.

Comment 6 Joe Orton 2008-08-07 09:28:40 UTC
Though nor can I reproduce it with mod_dav_svn-1.5.0-8.fc9.  This is strange.

Comment 7 Joe Orton 2008-08-07 09:56:45 UTC
OK, this is a bug in mod_dav_svn.  Whether it works or not is random.  Having "KeepAlive on" will make it more likely to work, so ease of reproduce is dependent on the httpd configuration.

Comment 8 ianalis 2008-08-07 10:08:59 UTC
It works when I turned KeepAlive on. I'm using a recompiled mod_dav_svn-1.5.1-1.fc9.i386.

Comment 9 Joe Orton 2008-09-30 13:22:31 UTC
This was resolved upstream for 1.5.2, which is on its way to F9 updates-testing.

Comment 10 Fedora Update System 2008-10-01 06:41:06 UTC
subversion-1.5.2-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update subversion'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6536

Comment 11 Fedora Update System 2008-10-03 22:32:40 UTC
subversion-1.5.2-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update subversion'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6536

Comment 12 Bug Zapper 2009-06-10 02:03:05 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Bug Zapper 2009-07-15 08:24:39 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.